%define _name lineak
%def_disable static

Name: %{_name}_defaultplugin
Version: 0.8.4
Release: alt1
Summary: A default plugin for lineakd
Group: System/Configuration/Other
License: GPL
Url: http://lineak.sourceforge.net

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar.gz

Requires: lib%_name >= %version

BuildRequires: gcc-c++ libXt-devel libXtst-devel liblineak-devel libxkbfile-devel

%description
LinEAK is a utility designed to enable the use and configuration of
those special keys on Internet, Easy Access and Multimedia keyboards in
Linux.

This package provides lineakd plugin that contains the original EAK_
style macros.

%prep
%setup -q -n %name-%version

%build
%configure \
    %{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_libdir/lineakd/plugins/*.so
%_man1dir/*
%doc AUTHORS README

%changelog
* Sun Mar 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8.4-alt1
- 0.8.4
- updated build dependencies

* Tue Jan 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.2-alt1
- 0.8.2

* Wed Sep 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt1
- 0.8 release

* Thu Apr 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.6beta3
- 0.8beta3

* Fri Mar 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.5
- 0.8

* Sat Jan 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.5beta1
- First build for Sisyphus.

